Qlik Community

New to Qlik Sense

Discussion board where members can get started with Qlik Sense.

satishqlik
Contributor II

need help

Hi All,

Subject: I've issue with call variable after the upgradation.

I've upgraded Qliksense 3.2 to June 2017 successfully.

But after this, my variable is not working.

1.JPG

I've  defined my variable as like below:


2.JPG

in earlier version(3.2) it's working fine.

But after upgradation, it's throwing an error with the variable.I tried without variable like below.This is also working fine as I expected.

3.JPG  


Can someone suggest what might be the issue and how to over come??


Any suggestion will be appreciated.


Thanks in advance.





Tags (1)
1 Solution

Accepted Solutions
MVP
MVP

Re: need help

If the script with ${...} worked before, then it was permitted due to bug (or at least much greater latitude for syntax without throwing errors). It looks like that option has now been closed. The "correct" syntax has always been $(...).

Logic will get you from a to b. Imagination will take you everywhere. - A Einstein
9 Replies

Re: need help

Hi,

What I can see if you have used the {} brackets instead of ().

So change the brackets and it should work.

Regards,

Kaushik Solanki

Highlighted
ksomosera10
Contributor II

Re: need help

Hi Satish,

Good day.

You can try this instead:

DIM_RespondentRaw:

Load *

FROM [lib://BG_Qlik([SERVER])/$(vQvdBaseDir)/Extracts_BG/DIM_Respondent.qvd] (qvd);

Thanks!

satishqlik
Contributor II

Re: need help

Thanks for all your responses..

That will great help if you can elaborate why in new version its not working as its working in earlier version..?

MVP
MVP

Re: need help

If the script with ${...} worked before, then it was permitted due to bug (or at least much greater latitude for syntax without throwing errors). It looks like that option has now been closed. The "correct" syntax has always been $(...).

Logic will get you from a to b. Imagination will take you everywhere. - A Einstein
ksomosera10
Contributor II

Re: need help

Hi Satish,

Just a question.

Are you using QS v3.2 SR3?

Thanks!

satishqlik
Contributor II

Re: need help

Yes Kevin, and Upgraded QS 3.2 SR3 to June-2017.

ksomosera10
Contributor II

Re: need help

Same as what @Jonathan says, it's true that using QS 3.2 SR3 there has been some bugs on the variable call script. That explains why you've encountered a different behavior of the application.

From now on, you can now use the '$()' to call a variable rather than the old way.

I hope it helps.

satishqlik
Contributor II

Re: need help

Thanks again for all your clarifications!!!

ksomosera10
Contributor II

Re: need help

You are always welcome Satish!